Skip to content

Create a New Creative

Request

⚠️ Deprecated — Use POST /v3.0/creatives instead.

Create a new creative

Bodyapplication/json

See below

any
curl -i -X POST \
  https://api.mediamath.com/component_creatives/v1.0/creatives \
  -H 'Content-Type: application/json'

Responses

Remember, assets have different schema depending on asset type.

Header: Cookie: adama_session={adama_session}

Headers
new1579011858564string
Bodyapplication/json
Response
{ "data": { "advertiser_id": 100178, "advertiser_name": "Brooklyn Bubblegum Co.", "assets": [], "atomic_creative_id": 3200795, "created_at": "2016-11-17T17:29:39.607Z", "creative_id": 261, "creative_name": "test creative", "end_date": "2016-11-30T00:00:00", "external_identifier": "NA", "last_modified": "2016-11-17T17:30:55", "last_published": "2016-11-17T17:29:39.607Z", "start_date": "2016-09-30T00:00:00", "status": "1", "unpublished": false, "updated_at": "2016-11-17T17:29:39.607Z" }, "meta": { "code": 201, "status": "created", "type": "creative" } }